Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.smime
Class SMIMEEncryptionKeyPreferenceAttribute

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.Attribute
                  |
                  +--org.bouncycastle.asn1.smime.SMIMEEncryptionKeyPreferenceAttribute

All Implemented Interfaces:
  DEREncodable

public class SMIMEEncryptionKeyPreferenceAttribute
extends Attribute

The SMIMEEncryptionKeyPreference object.

     SMIMEEncryptionKeyPreference ::= CHOICE {
         issuerAndSerialNumber   [0] IssuerAndSerialNumber,
         receipentKeyId          [1] RecipientKeyIdentifier,
         subjectAltKeyIdentifier [2] SubjectKeyIdentifier
     }

Constructor Summary
`SMIMEEncryptionKeyPreferenceAttribute(ASN1OctetString sKeyId)`
`SMIMEEncryptionKeyPreferenceAttribute(IssuerAndSerialNumber issAndSer)`
`SMIMEEncryptionKeyPreferenceAttribute(RecipientKeyIdentifier rKeyId)`

Methods inherited from class org.bouncycastle.asn1.cms.Attribute
`getAttrType, getAttrValues, getInstance, toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMIMEEncryptionKeyPreferenceAttribute

    public SMIMEEncryptionKeyPreferenceAttribute(IssuerAndSerialNumber issAndSer)

### SMIMEEncryptionKeyPreferenceAttribute

    public SMIMEEncryptionKeyPreferenceAttribute(RecipientKeyIdentifier rKeyId)

### SMIMEEncryptionKeyPreferenceAttribute

    public SMIMEEncryptionKeyPreferenceAttribute(ASN1OctetString sKeyId)

Parameters:
  `sKeyId` - the subjectKeyIdentifier value (normally the X.509 one)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD